<?php

namespace Layerdrops\Ostech\Widgets;


class Features extends \Elementor\Widget_Base
{
	public function get_name()
	{
		return 'ostech-features';
	}

	public function get_title()
	{
		return __('Features', 'ostech-addon');
	}

	public function get_icon()
	{
		return 'eicon-cogs';
	}

	public function get_categories()
	{
		return ['ostech-category'];
	}

	protected function register_controls()
	{
		$this->start_controls_section(
			'layout_section',
			[
				'label' => __('Layout', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'layout_type',
			[
				'label' => __('Select Layout', 'ostech-addon'),
				'type' => \Elementor\Controls_Manager::SELECT2,
				'default' => 'layout_one',
				'options' => [
					'layout_one' => __('Layout One', 'ostech-addon'),
					'layout_two' => __('Layout Two', 'ostech-addon'),
					'layout_three' => __('Layout Three', 'ostech-addon'),
					'layout_four' => __('Layout Four', 'ostech-addon'),
				]
			]
		);

		$this->end_controls_section();

		include ostech_get_elementor_option('features-one-option.php');
		include ostech_get_elementor_option('features-two-option.php');
		include ostech_get_elementor_option('features-three-option.php');
		include ostech_get_elementor_option('features-four-option.php');

		//General style
		$this->start_controls_section(
			'general_style',
			[
				'label' => esc_html__('Content Style', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

		ostech_elementor_general_style_options($this, 'Section Title', '{{WRAPPER}} .sec-title--two .sec-title__title', ['layout_one']);
		ostech_elementor_general_style_options($this, 'Section Sub Title', '{{WRAPPER}} .sec-title--two .sec-title__tagline', ['layout_one']);

		ostech_elementor_general_style_options($this, 'Icon Box', '{{WRAPPER}} .benefit-one__feature__item .benefit-one__feature__icon', ['layout_one']);

		ostech_elementor_general_style_options($this, 'Feature Title', '{{WRAPPER}} .cta-two__item__title', ['layout_one', 'layout_two']);

		ostech_elementor_general_style_options($this, 'Content', '{{WRAPPER}} .benefit-one__feature__item__text', ['layout_one']);


		ostech_elementor_general_style_options($this, 'Check Icon', '{{WRAPPER}} .benefit-one__list__item i', ['layout_one']);
		ostech_elementor_general_style_options($this, 'Check List', '{{WRAPPER}} .benefit-one__list__item', ['layout_one']);

		ostech_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .ostech-btn', '{{WRAPPER}} .ostech-btn:before,{{WRAPPER}} .ostech-btn:after', ['layout_one', 'layout_two']);


		$this->end_controls_section();
	}

	protected function render()
	{
		$settings = $this->get_settings_for_display();
		include ostech_get_template('features-one.php');
		include ostech_get_template('features-two.php');
		include ostech_get_template('features-three.php');
		include ostech_get_template('features-four.php');
	}
}
